Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.startup
Class StopTomcat

    java.lang.Object
      org.apache.tomcat.startup.StopTomcat

public class StopTomcat
extends java.lang.Object

This task will stop tomcat

Author:
  Costin Manolache

Constructor Summary
`StopTomcat()`

Method Summary
`void` | `execute()`
`java.util.Hashtable` | `getOptionAliases()`
`java.lang.String[]` | `getOptions1()`
`java.lang.String` | `getTomcatHome()`
`static void` | `main(java.lang.String[] args)`
`static void` | `printUsage()`
`boolean` | `processArgs(java.lang.String[] args)` Process arguments - set object properties from the list of args.
`void` | `sendAjp12Stop(java.io.OutputStream os, java.lang.String secret)` Small AJP12 client util
`void` | `sendAjp12String(java.io.OutputStream os, java.lang.String s)` Small AJP12 client util
`void` | `sendAjp13Stop(java.io.OutputStream os, java.lang.String secret)` Small AJP13 client util
`void` | `sendAjp13String(java.io.OutputStream os, java.lang.String s)` Small AJP13 client util
`void` | `setAjp12(boolean b)`
`void` | `setAjp13(boolean b)`
`void` | `setAjpid(java.lang.String s)`
`void` | `setAjpid12(java.lang.String s)`
`void` | `setAjpid13(java.lang.String s)`
`void` | `setArgs(java.lang.String[] args)`
`void` | `setAttribute(java.lang.String s, java.lang.Object o)`
`void` | `setH(java.lang.String s)`
`void` | `setHelp(boolean b)`
`void` | `setHome(java.lang.String s)`
`void` | `setHost(java.lang.String h)`
`void` | `setPass(java.lang.String s)` When tomcat is started, a secret ( random ) key will be generated in ajp12.id.
`void` | `setPort(int port)`
`void` | `setProperty(java.lang.String name, java.lang.String v)`
`void` | `setSecret(java.lang.String s)`
`void` | `setSecretFile(java.lang.String s)`
`void` | `stopTomcat(java.net.InetAddress address, int portInt, java.lang.String secret)` This particular implementation will search for an AJP12 connector ( that have a special stop command ).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StopTomcat

    public StopTomcat()

Method Detail

### setSecretFile

    public void setSecretFile(java.lang.String s)

### setAjpid

    public void setAjpid(java.lang.String s)

### setAjpid12

    public void setAjpid12(java.lang.String s)

### setAjpid13

    public void setAjpid13(java.lang.String s)

### setH

    public void setH(java.lang.String s)

### setHome

    public void setHome(java.lang.String s)

### setHost

    public void setHost(java.lang.String h)

### setPort

    public void setPort(int port)

### setPass

    public void setPass(java.lang.String s)

  When tomcat is started, a secret ( random ) key will be generated in ajp12.id. If you run StopTomcat from the same host, it'll read the key and use it. If you run from a different host, you'll have to specify it manually

### setSecret

    public void setSecret(java.lang.String s)

### setHelp

    public void setHelp(boolean b)

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String v)

### setAjp13

    public void setAjp13(boolean b)

### setAjp12

    public void setAjp12(boolean b)

### setArgs

    public void setArgs(java.lang.String[] args)

### execute

    public void execute()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTomcatHome

    public java.lang.String getTomcatHome()

### stopTomcat

    public void stopTomcat(java.net.InetAddress address,
                           int portInt,
                           java.lang.String secret)
                    throws java.io.IOException

  This particular implementation will search for an AJP12 connector ( that have a special stop command ).

  Throws:
    `java.io.IOException`

### sendAjp12Stop

    public void sendAjp12Stop(java.io.OutputStream os,
                              java.lang.String secret)
                       throws java.io.IOException

  Small AJP12 client util

  Throws:
    `java.io.IOException`

### sendAjp13Stop

    public void sendAjp13Stop(java.io.OutputStream os,
                              java.lang.String secret)
                       throws java.io.IOException

  Small AJP13 client util

  Throws:
    `java.io.IOException`

### sendAjp12String

    public void sendAjp12String(java.io.OutputStream os,
                                java.lang.String s)
                         throws java.io.IOException

  Small AJP12 client util

  Throws:
    `java.io.IOException`

### sendAjp13String

    public void sendAjp13String(java.io.OutputStream os,
                                java.lang.String s)
                         throws java.io.IOException

  Small AJP13 client util

  Throws:
    `java.io.IOException`

### processArgs

    public boolean processArgs(java.lang.String[] args)

  Process arguments - set object properties from the list of args.

### getOptions1

    public java.lang.String[] getOptions1()

### getOptionAliases

    public java.util.Hashtable getOptionAliases()

### printUsage

    public static void printUsage()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.